Skip to main content
POST
/
v1
/
voices
/
{voice_id}
/
edit
Update Voice
curl --request POST \
  --url https://api.example.com/v1/voices/{voice_id}/edit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'name=<string>' \
  --data 'description=<string>'
{
  "user_id": "<string>",
  "voice_id": "<string>",
  "name": "<string>",
  "description": "",
  "created_at": 123,
  "updated_at": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Path Parameters

voice_id
string
required

Body

application/x-www-form-urlencoded
name
string
required
description
string
required

Response

Successful Response

user_id
string
required
voice_id
string
required
name
string
required
description
string
default:""
created_at
integer
updated_at
integer